<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <com.gh.common.view.GameIconView
        android:id="@+id/gameIconView"
        android:layout_width="64dp"
        android:layout_height="64dp"
        app:gameIconBorderColor="@color/border"
        app:gameIconBorderWidth="0.5dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <com.gh.common.view.NoEllipsizeSpaceTextView
        android:id="@+id/gameNameTv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginTop="10dp"
        android:ellipsize="end"
        android:maxLines="1"
        android:textColor="@color/text_title"
        android:textSize="14sp"
        android:textStyle="bold"
        app:layout_constrainedWidth="true"
        app:layout_constraintEnd_toStartOf="@+id/gameSubtitleTv"
        app:layout_constraintHorizontal_bias="0"
        app:layout_constraintHorizontal_chainStyle="packed"
        app:layout_constraintStart_toEndOf="@+id/gameIconView"
        app:layout_constraintTop_toTopOf="@+id/gameIconView"
        tools:text="武侠小掌门" />

    <TextView
        android:id="@+id/gameSubtitleTv"
        android:layout_width="wrap_content"
        android:layout_height="14dp"
        android:layout_marginStart="4dp"
        android:layout_marginEnd="16dp"
        android:background="@drawable/bg_advance_download_game_subtitle"
        android:paddingStart="2dp"
        android:paddingEnd="2dp"
        android:singleLine="true"
        android:textColor="@color/text_subtitle"
        android:textSize="@dimen/tag_text_size"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="@+id/gameNameTv"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toEndOf="@+id/gameNameTv"
        app:layout_constraintTop_toTopOf="@+id/gameNameTv"
        app:layout_goneMarginStart="0dp"
        tools:text="副标题"
        tools:visibility="visible" />

    <LinearLayout
        android:id="@+id/gameLabelLl"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginBottom="14dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="@+id/gameIconView"
        app:layout_constraintStart_toEndOf="@+id/gameIconView" />

</androidx.constraintlayout.widget.ConstraintLayout>